Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree.event
Interface TreeNodeListener

All Superinterfaces:
  NodeListener

All Known Implementing Classes:
  TreeNodeListenerAdapter

    public interface TreeNodeListener

extends NodeListener

Method Summary
`boolean` | `doBeforeChildrenRendered(Node node)` Fires right before the child nodes for this node are rendered.
`boolean` | `doBeforeClick(Node node, EventObject e)` Fires before click processing.
`boolean` | `doBeforeCollapse(Node node, boolean deep, boolean anim)` Fires before this node is collapsed, return false to cancel.
`boolean` | `doBeforeExpand(Node node, boolean deep, boolean anim)` Fires before this node is expanded, return false to cancel.
`void` | `onCheckChanged(Node node, boolean checked)` Fires when a node with a checkbox's checked property changes.
`void` | `onClick(Node node, EventObject e)` Fires when this node is clicked.
`void` | `onCollapse(Node node)` Fires when this node is collapsed.
`void` | `onContextMenu(Node node, EventObject e)` Fires when this node is right clicked.
`void` | `onDblClick(Node node, EventObject e)` Fires when this node is double clicked.
`void` | `onDisabledChange(Node node, boolean disabled)` Fires when the disabled status of this node changes.
`void` | `onExpand(Node node)` Fires when this node is expanded.
`void` | `onTextChange(Node node, java.lang.String text, java.lang.String oldText)` Fires when the text for this node is changed.

Methods inherited from interface com.gwtext.client.data.event.NodeListener
`doBeforeAppend, doBeforeInsert, doBeforeMove, doBeforeRemove, onAppend, onInsert, onMove, onRemove`

Method Detail

### doBeforeChildrenRendered

    boolean doBeforeChildrenRendered(Node node)

  Fires right before the child nodes for this node are rendered.

  Parameters:
    `node` - the node
  Returns:
    false to cancel

### doBeforeClick

    boolean doBeforeClick(Node node,
                          EventObject e)

  Fires before click processing. Return false to cancel the default action.

  Parameters:
    `node` - the node
    `e` - the event object
  Returns:
    false to cancel

### doBeforeCollapse

    boolean doBeforeCollapse(Node node,
                             boolean deep,
                             boolean anim)

  Fires before this node is collapsed, return false to cancel.

  Parameters:
    `node` - the node
    `deep` - whether deep collapse
    `anim` - whether animated
  Returns:
    false to cancel

### doBeforeExpand

    boolean doBeforeExpand(Node node,
                           boolean deep,
                           boolean anim)

  Fires before this node is expanded, return false to cancel.

  Parameters:
    `node` - the node
    `deep` - whether deep expand
    `anim` - whether animated
  Returns:
    false to cancel

### onCheckChanged

    void onCheckChanged(Node node,
                        boolean checked)

  Fires when a node with a checkbox's checked property changes.

  Parameters:
    `node` - the node
    `checked` - the new checked value

### onClick

    void onClick(Node node,
                 EventObject e)

  Fires when this node is clicked.

  Parameters:
    `node` - the node
    `e` - the event object

### onCollapse

    void onCollapse(Node node)

  Fires when this node is collapsed.

  Parameters:
    `node` - the node

### onContextMenu

    void onContextMenu(Node node,
                       EventObject e)

  Fires when this node is right clicked.

  Parameters:
    `node` - the node
    `e` - the event obejct

### onDblClick

    void onDblClick(Node node,
                    EventObject e)

  Fires when this node is double clicked.

  Parameters:
    `node` - the node
    `e` - the event object

### onDisabledChange

    void onDisabledChange(Node node,
                          boolean disabled)

  Fires when the disabled status of this node changes.

  Parameters:
    `node` - the node
    `disabled` - true if disabled

### onExpand

    void onExpand(Node node)

  Fires when this node is expanded.

  Parameters:
    `node` - the node

### onTextChange

    void onTextChange(Node node,
                      java.lang.String text,
                      java.lang.String oldText)

  Fires when the text for this node is changed.

  Parameters:
    `node` - the node
    `text` - the new text
    `oldText` - the old text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD